# Nagad

## Payin by Nagad

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by Nagad in Bangladesh.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                              | Type   | Description                                                           |
| ------------------------------------------------- | ------ | --------------------------------------------------------------------- |
| app\_id<mark style="color:red;">\*</mark>         | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p>          |
| out\_trade\_no<mark style="color:red;">\*</mark>  | string | <p>ID given by the merchant in their system<br>- Max. 64 chars - </p> |
| method<mark style="color:red;">\*</mark>          | string | Fixed value: Nagad                                                    |
| channel<mark style="color:red;">\*</mark>         | string | Fixed value: AssanPayBD                                               |
| region<mark style="color:red;">\*</mark>          | string | Fixed value: BGD                                                      |
| notify\_url<mark style="color:red;">\*</mark>     | string | Where Pagsmile will send notification to                              |
| timestamp<mark style="color:red;">\*</mark>       | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>                       |
| subject<mark style="color:red;">\*</mark>         | string | <p>payment reason or item title</p><p>- Max. 128 chars -</p>          |
| order\_amount<mark style="color:red;">\*</mark>   | string | <p>payment amount<br>- 50 \~ 50,000.00 -</p>                          |
| order\_currency<mark style="color:red;">\*</mark> | string | Fixed value: BDT                                                      |
| content                                           | string | <p>payment reason detail or item detail</p><p>- Max. 255 chars -</p>  |
| buyer\_id<mark style="color:red;">\*</mark>       | string | merchant user's id                                                    |
| website\_url                                      | string | <p>merchant website URL</p><p>- Max. 128 chars -</p>                  |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "msg": "Success",
    "code": "10000",
    "prepay_id": "ZWloZXU4Y**0F173",
    "trade_no": "2024112710040502055",
    "out_trade_no": "out_tra***900",
    "pay_url":"https://payment.mynagad.com:300*****WU2Yw==",
    "trade_status": "PROCESSING",
    "expired": "2026-01-05 09:05:22.359650599 +0000 UTC"
}

```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "162************38",
    * "out_trade_no": "out_tra***900",
    * "method": "Nagad",
    * "channel": "AssanPayBD",
    * "region": "BGD",
    * "order_amount": "123.55",
    * "order_currency": "BDT",
    * "subject": "trade pay test",
      "content": "trade pay test content",
    * "notify_url": "http://merchant/callback/success",
    * "buyer_id": "buyer_0101_0001",
    * "timestamp": "2022-01-01 03:54:01"
      }'
```

{% hint style="info" %}
Note:  **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.&#x20;
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
